Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Classes | Public Member Functions | Public Attributes | List of all members
PolyLineBezierSplineData Class Reference
Inheritance diagram for PolyLineBezierSplineData:

## Classes
struct | InterpolatePoint

## Public Member Functions
| PolyLineBezierSplineData (unsigned int _meshIndex)
| Creates a new PolyLineBezierSplineData object with no points. More...
void | addInterpolatePoint (ACG::Vec3d _position, ACG::Vec3d _normal)
| Adds a point to the end of the list and inserts control points. More...
bool | finishSpline ()
| If possible calculates handles. More...
InterpolatePoint & | getInterpolatePoint (unsigned int _handleIndex)
| Retrieves the interpolate point based on the handle. More...
Public Member Functions inherited from PerObjectData
| PerObjectData ()
| You have to provide your own constructor for your object.
virtual PerObjectData * | copyPerObjectData ()
| Copy Function. More...

## Public Attributes
std::vector< InterpolatePoint > | points_
std::vector< ACG::Vec3d > | handles_
unsigned int | meshIndex_
| Index of the corresponding mesh.

## Detailed Description

Definition at line 59 of file PolyLineBezierSplineData.hh.

## Constructor & Destructor Documentation

PolyLineBezierSplineData::PolyLineBezierSplineData | ( | unsigned int | _meshIndex | ) |

Creates a new PolyLineBezierSplineData object with no points.

Definition at line 61 of file PolyLineBezierSplineData.cc.

## Member Function Documentation

void PolyLineBezierSplineData::addInterpolatePoint | ( | ACG::Vec3d | _position,
|  | ACG::Vec3d | _normal
| ) |  |

Adds a point to the end of the list and inserts control points.

Parameters

  _position | The location(on the mesh) of the new control point.
  _normal | The normal at the location.

Definition at line 66 of file PolyLineBezierSplineData.cc.

bool PolyLineBezierSplineData::finishSpline | ( |  | ) |

If possible calculates handles.

Returns
  True if it was possible to create handles.

Definition at line 75 of file PolyLineBezierSplineData.cc.

PolyLineBezierSplineData::InterpolatePoint & PolyLineBezierSplineData::getInterpolatePoint | ( | unsigned int | _handleIndex | ) |

Retrieves the interpolate point based on the handle.

Parameters

  _handleIndex | The index of the handle.

Definition at line 111 of file PolyLineBezierSplineData.cc.

The documentation for this class was generated from the following files:

- ObjectTypes/PolyLine/PolyLineBezierSplineData.hh
- ObjectTypes/PolyLine/PolyLineBezierSplineData.cc